Bug 838670 - Can only change certain configuration properties on AS7 Datasource
Can only change certain configuration properties on AS7 Datasource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
: 854389 (view as bug list)
Depends On:
Blocks: as7-plugin rhq-uxd 847119
  Show dependency treegraph
 
Reported: 2012-07-09 14:22 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847119 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:14:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
as7-datasource-config (76.83 KB, image/png)
2012-07-09 14:23 EDT, Charles Crouch
no flags Details

  None (edit)
Description Charles Crouch 2012-07-09 14:22:32 EDT
JON 310

1) Goto the Configuration>Current subtab of the ExampleDS which ships out of the box with EAP6
2) Some rows are editable, some are not, e.g. I can change the min/max pool size, but I can't change the username or password fields. See screenshot.

I don't know if this is an AS7 issue or a UI rendering issue
Comment 1 Charles Crouch 2012-07-09 14:23:38 EDT
Created attachment 597126 [details]
as7-datasource-config
Comment 2 Heiko W. Rupp 2012-08-09 14:33:29 EDT
They used to be r/o when datasources were done in as7. The argument was always that the user can delete + re-create for changes.

Looks like this has changed for EAP6 and we have missed that change.
Comment 3 Heiko W. Rupp 2012-08-09 16:10:18 EDT
master 71dc21ab49b1
Comment 4 Larry O'Leary 2012-09-04 20:57:16 EDT
*** Bug 854389 has been marked as a duplicate of this bug. ***
Comment 5 Heiko W. Rupp 2013-09-01 06:14:46 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.